Bug 1151176 - fence_xvm in HA controller: expose port param, add firewall rule
Summary: fence_xvm in HA controller: expose port param, add firewall rule
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-foreman-installer
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: z2
: Installer
Assignee: Crag Wolfe
QA Contact: Leonid Natapov
URL:
Whiteboard:
Depends On:
Blocks: 1160230
TreeView+ depends on / blocked
 
Reported: 2014-10-09 17:31 UTC by Crag Wolfe
Modified: 2015-02-03 18:18 UTC (History)
10 users (show)

Fixed In Version: openstack-foreman-installer-2.0.29-1.el6ost
Doc Type: Bug Fix
Doc Text:
Previously, port 1229 was not open on the controllers. Additionally, the parameter for the host VM was not exposed, so if the host had a libvirt VM name other than its short hostname, fencing would not be configured correctly. As a result, host nodes were unable to fence each other. With this update, the firewall port is open and a parameter to set host VM name (called 'port') is provided. With this update, fence_xvm can now be configured on HA controllers whether or not each libvirt VM name matches it short hostname, and successfully fence each other when a node is down.
Clone Of:
: 1160230 (view as bug list)
Environment:
Last Closed: 2014-11-04 17:03:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1800 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Installer Bug Fix Advisory 2014-11-04 22:00:19 UTC

Description Crag Wolfe 2014-10-09 17:31:59 UTC
Description of problem:

Right now, one can't specify the port (name or uuid of the VM) of a the vm in quickstack::pacemaker::common.  In addition, a firewall rule needs to be added on the HA controllers to enable fence_xvm.

Comment 3 Jason Guiditta 2014-10-09 18:26:37 UTC
Merged:
https://github.com/redhat-openstack/astapor/pull/373

Comment 5 Leonid Natapov 2014-11-03 14:17:56 UTC
How do I test this ? 

I assume I have to deploy HA on VMs and set fencing type  in quickstack::pacemaker::common. Now it's looks like: <%= (@host.bmc_nic && @host.bmc_nic.fencing_enabled?) ? @host.bmc_nic.attrs["fencing_type"] : "disabled" %>

What should I put there in order to enable xvm_fence ? any additional value I need to change ?

Comment 9 errata-xmlrpc 2014-11-04 17:03:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2014-1800.html


Note You need to log in before you can comment on or make changes to this bug.